---
title: MediaKeyMessageEvent.messageType
slug: Web/API/MediaKeyMessageEvent/messageType
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeyMessageEvent
  - Property
  - Reference
  - messageType
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <strong>MediaKeyMessageEvent.messageType</strong> read-only property indicates the type of message. It may be one of <code>license-request</code>, <code>license-renewal</code>, <code>license-release</code>, or <code>individualization-request</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>messageType</em> = <em>mediaKeyMessageEvent</em>.messageType;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeymessageevent-messagetype', 'messageType')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyMessageEvent.messageType")}}</p>
</div>
